
// "quand le document sera prêt, exécute
// le code suivant"

$(document).ready(function(){

	// phrase simple
	// $('cible1').action(paramètres);

	// pour de l'interactivité
	// $('cible1').on('evenement', function(){
	// 		$('cible2').action(paramètres);
	// });

	// passer le texte des cartes en rouge au click
	// sur le bouton corrrspondant du menu

	// $('cible').first() garde slmt le 1er
	// $('cible').last() garde le dernier
	// $('cible').eq(1) // le 2ème (ça commence à 0)
	// $('cible').eq(-1) // le dernier
	// $('cible').eq(-2) // l'avant dernier

	// au click sur le 1er bouton du menu
	// on change la couleur des titres des articles

	// $('nav.numbers li') sélectionne plusieurs li
	// $('nav.numbers li').first() réduit au 1er élément seulement
	$('nav.numbers li').first().on('click', function(){
		// $('...').css({ 'color': 'red'});
		$('#numbers article h1').transition({ 'color': 'red'});
	});

	// click sur le 2ème bouton
	// déclenche texte en noir sur les cartes
	$('nav.numbers li').eq(1).on('click', function(){
		$('#numbers article h1').transition({ 'color': 'black'});
	});

	// pour ajouter/enlever des classes css
	// à des balises html
	// $(...).addClass('truc');
	// $(...).removeClass('truc');
	// $(...).toggleClass('truc'); // ajoute ou retire

	// au click sur le 3eme bouton
	// ça ajoute la classe 'nuit' au body
	$('nav.numbers li').eq(2).on('click', function(){
		$('body').addClass('nuit');
	});
	// bouton suivant pour retirer la classe
	$('nav.numbers li').eq(3).on('click', function(){
		$('body').removeClass('nuit');
	});

	// couleur aléatoire au click dans le menu
	$('nav.numbers li').eq(4).on('click', function(){

		// randomColor()
		// est définie plus bas
		// ça fabrique une chaine de carractère du genre
		// '#FF0089' qu'on utilise à la place d'une couleur...

		// la même couleur pour tous
		/*$('#numbers article').transition({ 
			'color': randomColor(),
			'background-color': randomColor()
		});*/

		// une couleur pour CHAQUE article
		$('#numbers article').each(function(){
			// ce code va être exécuté 1 fois pour chaque article
			$(this).transition({ 
				'color': randomColor(),
				'background-color': randomColor()
			});
		});
	});

	// du coup on peut faire la même chose
	// au démarrage de la page :
	$('#numbers article').each(function(){
		// ce code va être exécuté 1 fois pour chaque article
		$(this).transition({ 
			'color': randomColor(),
			'background-color': randomColor()
		});
	});


	///////////////////////////////////////

	// au click sur une carte
	// LA carte cliquée change de couleur
	// et aussi quand on survole, qu'on quitte le survol etc
	$('#numbers article').on('click mouseover mouseout mousedown', function(){

		// sur quoi on veut agir ?
		// $(this) c'est LA carte qui vient d'être cliquée

		// $('#numbers article').transition({
		// c'est toutes les cartes

		// $(this).stop().transition({ 
		$(this).transition({ 
			'color': randomColor(),
			'background-color': randomColor()
		});
	});

	// 'click'
	// 'mousedown'
	// 'mouseup'
	// 'touchstart'
	// 'touchend'
	// 'touchmove'

	// 'mouseover'
	// 'mouseout'

	// rendre les articles draggables
	// avec une librairie supplémentaire
	// après avoir lu la documentation :
	// https://lab.gildasp.fr/easydrag/
	$('#numbers article').easyDrag(); // les articles deveinnent draggables


	// au survol de la 1ere image
	// elle se transforme en img4.jpg
	/*$('#images img').on('mouseover', function(){
		$(this).attr('src', 'img/img4.jpg');
		// .attr() permet de modifier un attribut html
		// ex : 
		// <img src="img/img2.jpg">
		// .attr('src', 'nouvelle valeur') le transforme en
		// <img src="img/img4.jpg">
		// et ça change l'image affichée
	});

	// retour à l'image 2 quand on quitte le survol
	$('#images img').on('mouseout', function(){
		$(this).attr('src', 'img/img2.jpg');
	});*/


	// un slider d'images grâce à une librairie
	// https://lab.gildasp.fr/simpleslider/
	// après avoir lu la documentation...
	$('#images article')
	// quelques réglages css en javascript
	// (on aurait pu le faire dans la feuille de style)
	.css({'width':'100%', 'height':'80vw'})
	// et on active le slider
	.simpleSlider({
		stretch: 'cover'
	});
	// les paramètres sont décrits dans la documentation
	





}); // fin du $(document).ready({ ... -----------------------------

// normalement on n'écrit rien après ce });
// sinon c'est exécuté avant que la page soit prête !

// une fonction maison à utiliser plus tard...
// on peut la créer avant que la page soit prête.
function randomColor(){
	return '#'+(function(h){return new Array(7-h.length).join("0")+h})((Math.random()*(0xFFFFFF+1)<<0).toString(16));
};